Bug 816654 - [abrt] Zim-0.56-1.fc17: tableofcontents.py:199:_load_page:AttributeError: 'NoneType' object has no attribute 'populate'
[abrt] Zim-0.56-1.fc17: tableofcontents.py:199:_load_page:AttributeError: 'No...
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-26 11:42 EDT by Dag Odenhall
Modified: 2013-08-01 05:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 05:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1005115 None None None Never

  None (edit)
Description Dag Odenhall 2012-04-26 11:42:14 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/zim /home/dag/Notes/notebook.zim
executable:     /usr/bin/zim
kernel:         3.3.2-8.fc17.i686
time:           Mon 23 Apr 2012 12:59:16 PM CEST
uid:            1000
username:       dag

:tableofcontents.py:199:_load_page:AttributeError: 'NoneType' object has no attribute 'populate'
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tableofcontents.py", line 187, in on_open_page
:    self._load_page(page)
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tableofcontents.py", line 199, in _load_page
:    model.populate(tree)
:AttributeError: 'NoneType' object has no attribute 'populate'
:Local variables in innermost frame:
:model: None
:tree: <zim.formats.ParseTree object at 0x8def72c>
:page: <FileStorePage: Fedora bugs>
:self: <ToCWidget object at 0x89fed74 (GtkScrolledWindow at 0x8cad400)>
Comment 1 Robin Lee 2012-05-27 05:36:05 EDT
Any idea about how to reproduce this issue?
Comment 2 jb.alexandre 2012-10-09 22:21:13 EDT
On computer startup, after logging in!

Package: Zim-0.56-3.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Fedora End Of Life 2013-07-03 23:00:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 05:57:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.